## calligraplan 3.1.0

=== src/plugins/filters/icalendar/CMakeLists.txt ===
if(KF5CalendarCore_FOUND AND HAVE_QDATETIME_KCALCORE)
    add_subdirectory( export )
endif()

=== src/plugins/schedulers/tj/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligraplan_scheduler_tj\")

set(LIBTJ_INCLUDE_DIR taskjuggler)
include_directories(${LIBTJ_INCLUDE_DIR} ${PLANODF_INCLUDES} ${PLANKERNEL_INCLUDES})

#add_subdirectory( taskjuggler )
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

set ( TJScheduler_SRCS
    PlanTJPlugin.cpp
    PlanTJScheduler.cpp
    taskjuggler/Allocation.cpp
    taskjuggler/CoreAttributes.cpp
    taskjuggler/CoreAttributesList.cpp
    taskjuggler/Project.cpp
    taskjuggler/Task.cpp
    taskjuggler/TaskDependency.cpp
    taskjuggler/TaskList.cpp
    taskjuggler/TaskScenario.cpp
    taskjuggler/Resource.cpp
    taskjuggler/ResourceList.cpp
    taskjuggler/Scenario.cpp
    taskjuggler/ScenarioList.cpp
    taskjuggler/Shift.cpp
    taskjuggler/ShiftList.cpp
    taskjuggler/ShiftSelection.cpp
    taskjuggler/ShiftSelectionList.cpp
    taskjuggler/VacationList.cpp
    taskjuggler/TjMessageHandler.cpp
    taskjuggler/Utility.cpp
#     taskjuggler/XMLFile.cpp
#     taskjuggler/ParserElement.cpp
#     taskjuggler/ParserNode.cpp
#     taskjuggler/ParserTreeContext.cpp
    taskjuggler/Interval.cpp
)

# TODO: plugin should not be SHARED, but MODULE. Needs to be SHARED because tests link to it -> fix with util lib/objects
add_library(plantjscheduler SHARED ${TJScheduler_SRCS} )
# calligraplan_scheduler_desktop_to_json(plantjscheduler plantjscheduler.desktop)
if(${KF5_VERSION} VERSION_LESS "5.16.0")
    kcoreaddons_desktop_to_json(plantjscheduler plantjscheduler.desktop)
else()
    kcoreaddons_desktop_to_json(plantjscheduler plantjscheduler.desktop
        SERVICE_TYPES ${PLAN_SOURCE_DIR}/libs/kernel/plan_schedulerplugin.desktop
    )
endif()

# TODO: only export symbols for tests, not release
generate_export_header(plantjscheduler BASE_NAME kplatotj)
add_definitions(-Dplantjscheduler_EXPORTS)
target_link_libraries(
    plantjscheduler
    kplatokernel
)

set_target_properties( plantjscheduler PROPERTIES DEFINE_SYMBOL MAKE_KPLATOTJ_LIB )

install( TARGETS plantjscheduler DESTINATION ${PLUGIN_INSTALL_DIR}/calligraplan/schedulers )

=== debian/changelog ===
calligraplan (1:3.1.0-3) unstable; urgency=medium

  * Update Vcs-* fields.
  * Backport upstream commit a7ebecb9fbee2190e649c44ed53f1299013baa30 to fix
    build with Qt >= 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-headers.patch. (Closes: #907155)
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Sep 2018 07:01:08 +0200

calligraplan (1:3.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Ship the examples, making sure to not compress them.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:42:16 +0100

calligraplan (1:3.1.0-1) experimental; urgency=medium

  * Initial release, split off src:calligra.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Feb 2018 18:20:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:3.1.0~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra < 3.1
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv tr uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/calligraplan -name '*.so' -type l -print -delete
	# remove x-test "translations"
	rm -fr debian/calligraplan/usr/share/locale/x-test

override_dh_compress:
	dh_compress -X/examples/

override_dh_gencontrol:
	dh_gencontrol -- -Vplan:oldLangs='$(l10npkgs_packages_rels)'

.PHONY: override_dh_auto_test

## calligraplan 3.1.0.1%2Brb2

=== devtools/rng2cpp/CMakeLists.txt ===
#message(STATUS "Adding plan_rng2cpp executable")

add_executable(plan_rng2cpp rng2cpp.cpp)
target_link_libraries(plan_rng2cpp Qt5::Core Qt5::Xml)

=== src/plugins/scripting/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( .. ${KPLATO_INCLUDES} ${KOKROSS_INCLUDES} ${KOSTORE_INCLUDES})

add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

########### next target ###############

set (ScriptingTester_SRCS ScriptingTester.cpp TestResult.cpp)

ecm_add_test(
    ${ScriptingTester_SRCS}
    TEST_NAME ScriptingTester
    NAME_PREFIX "plan-"
    LINK_LIBRARIES
        krossmoduleplan
        planprivate
        kplatokernel
        plankross
        Qt5::Test
)

## calligraplan 3.1.0.1+rb2

=== src/CMakeLists.txt ===

set(PLAN_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)

set(PLANPLUGIN_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/plugin
)

set(PLANKUNDO2_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/kundo2
    ${CMAKE_CURRENT_BINARY_DIR}/libs/kundo2
)

set(PLANODF_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/odf
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/store
    ${CMAKE_CURRENT_BINARY_DIR}/libs/odf
    ${CMAKE_CURRENT_BINARY_DIR}/libs/store
)

set(PLANWIDGETS_INCLUDES 
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/widgetutils
    ${CMAKE_CURRENT_BINARY_DIR}/libs/widgetutils
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/widgets
    ${CMAKE_CURRENT_BINARY_DIR}/libs/widgets
)

set(PLANMAIN_INCLUDES 
    ${PLANWIDGETS_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/main
    ${CMAKE_CURRENT_BINARY_DIR}/libs/main
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/main/config
)

set(PLANKERNEL_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/kernel
    ${CMAKE_CURRENT_BINARY_DIR}/libs/kernel
)    

set(PLANMODELS_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/models
    ${CMAKE_CURRENT_BINARY_DIR}/libs/models
)    

set(PLANUI_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/ui
    ${CMAKE_CURRENT_BINARY_DIR}/libs/ui
)    

set(KPLATO_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}

    ${PLANKERNEL_INCLUDES}
    ${PLANMODELS_INCLUDES}
    ${PLANUI_INCLUDES}
    ${PLANMAIN_INCLUDES}
)

# For odf
set(RNG_SOURCE_DIR ${PROJECT_SOURCE_DIR}/devtools/scripts)

if(KF5Holidays_FOUND)
    add_definitions(-DHAVE_KHOLIDAYS)
endif()

if (KF5AkonadiContact_FOUND)
    # disable for now: there is a bug
    # it only works if you use kde contacts (of course) but many use other stuff, so gets dissapointed
    add_definitions(-DPLAN_KDEPIMLIBS_FOUND)
    message(WARNING "AkonadiContacs available, but funtion is disabled due to Bug 311940")
endif ()

if ("${KF5CalendarCore_VERSION}" VERSION_GREATER 5.6.40)
    set(HAVE_QDATETIME_KCALCORE TRUE)
endif()

if (PLANCHARTDEBUG)
    add_definitions(-DPLAN_CHART_DEBUG)
endif ()

#add_subdirectory(interfaces)
add_subdirectory(servicetypes)

add_subdirectory( templates )
add_subdirectory( pics )
add_subdirectory( toolbar )
add_subdirectory( plugins )

add_subdirectory( libs )

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

add_subdirectory( workpackage )

include_directories(${KPLATO_INCLUDES})

add_definitions(-DTRANSLATION_DOMAIN=\"calligraplan\")

########### KPlato private library ###############

set(planprivate_LIB_SRCS
    kptviewlistdocker.cpp
    kptviewlist.cpp
    kptviewlistdialog.cpp

    kptschedulesdocker.cpp

    kptconfig.cpp
    ConfigWorkVacationPanel.cpp
    ConfigProjectPanel.cpp
    kpttaskdefaultpanel.cpp
    kptworkpackageconfigpanel.cpp
    kptcolorsconfigpanel.cpp

    kptcontext.cpp

    kptfactory.cpp
    kptpart.cpp
    kptmaindocument.cpp
    kptview.cpp
#     KPtViewAdaptor.cpp
    kptprintingcontrolprivate.cpp

    kptschedulerpluginloader.cpp
    kptbuiltinschedulerplugin.cpp
    kptconfigskeleton.cpp

    kptinsertfiledlg.cpp

    about/aboutpage.cpp

    KPlatoXmlLoader.cpp
)

ki18n_wrap_ui(planprivate_LIB_SRCS
    kptviewlistaddview.ui
    kptviewlisteditview.ui
    kptviewlisteditcategory.ui

    ConfigWorkVacationPanel.ui
    ConfigProjectPanel.ui
    kptconfigtaskpanelbase.ui
    kptworkpackageconfigpanel.ui
    kptcolorsconfigpanel.ui

    kptinsertfilepanel.ui
)

kconfig_add_kcfg_files(plansettings_SRCS calligraplansettings.kcfgc)

add_library(planprivate SHARED ${planprivate_LIB_SRCS} ${plansettings_SRCS} )
generate_export_header(planprivate BASE_NAME kplato)

target_link_libraries(planprivate
    PUBLIC
        kplatokernel
        kplatomodels
        kplatoui
        planmain
    PRIVATE
        planplugin
        KF5::IconThemes
        #KF5::KHtml
)
if(KF5AkonadiContact_FOUND)
    target_link_libraries(planprivate  PRIVATE KF5::AkonadiContact)
endif()
set_target_properties(planprivate PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS planprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

########### KPlato part ###############

set(planpart_PART_SRCS kptfactoryinit.cpp )

add_library(calligraplanpart MODULE ${planpart_PART_SRCS})

#calligraplan_part_desktop_to_json(calligraplanpart planpart.desktop)
if(${KF5_VERSION} VERSION_LESS "5.16.0")
    kcoreaddons_desktop_to_json(calligraplanpart planpart.desktop)
else()
    kcoreaddons_desktop_to_json(calligraplanpart planpart.desktop
#         SERVICE_TYPES ${PLAN_SOURCE_DIR}/servicetypes/calligraplan_part.desktop
    )
endif()


target_link_libraries(calligraplanpart PUBLIC KF5::Parts KF5::CoreAddons PRIVATE planprivate)

install(TARGETS calligraplanpart DESTINATION ${PLUGIN_INSTALL_DIR}/calligraplan/parts)


########### KPlato executable ###############

set(calligraplan_KDEINIT_SRCS main.cpp )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-calligraplan.png")
ecm_add_app_icon(kdeinit_app_ICONS_SRCS ICONS ${ICONS_SRCS})
if(WIN32)
    set(_resourcefile "${CMAKE_CURRENT_BINARY_DIR}/kdeinit_app_ICONS_SRCS.rc")
endif()

kf5_add_kdeinit_executable( calligraplan ${calligraplan_KDEINIT_SRCS})

if (APPLE)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.plan")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan")
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/calligraplan_KDEINIT_SRCS.icns DESTINATION ${BUNDLE_INSTALL_DIR}/calligraplan.app/Contents/Resources)
endif ()

target_link_libraries(kdeinit_calligraplan planmain)

install(TARGETS kdeinit_calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(calligraplan kdeinit_calligraplan planmain)
install(TARGETS calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  calligraplan.rc calligraplan_readonly.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/calligraplan)
install( PROGRAMS  org.kde.calligraplan.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  calligraplanrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES calligraplansettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES org.kde.calligraplan.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# plan_viewplugin.desktop

install(FILES
    about/top-left-plan.png
    about/main.html
    about/intro.html
    about/tips.html
    about/tutorial.html
    about/plan.css
    DESTINATION ${DATA_INSTALL_DIR}/calligraplan/about
)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

#add_custom_target(apidox doc/api/gendocs.pl WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/pics/CMakeLists.txt ===
ecm_install_icons( ICONS
    16-apps-calligraplan.png
    22-apps-calligraplan.png
    32-apps-calligraplan.png
    48-apps-calligraplan.png
    64-apps-calligraplan.png
    128-apps-calligraplan.png
    256-apps-calligraplan.png
    512-apps-calligraplan.png
    1024-apps-calligraplan.png
    sc-apps-calligraplan.svgz

    64-mimetypes-application-x-vnd.kde.kplato.png
    128-mimetypes-application-x-vnd.kde.kplato.png
    sc-mimetypes-application-x-vnd.kde.kplato.svgz

    64-mimetypes-application-x-vnd.kde.plan.png
    128-mimetypes-application-x-vnd.kde.plan.png
    sc-mimetypes-application-x-vnd.kde.plan.svgz

    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== src/libs/widgets/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

include_directories(${PLANODF_INCLUDES})
include_directories(${PLANWIDGETS_INCLUDE})

set(kowidgets_LIB_SRCS
    KoResourcePaths.cpp
    KoVBox.cpp
    KoDialog.cpp
    KoGlobal.cpp
    KoPageLayoutDialog.cpp
    KoPageLayoutWidget.cpp
    KoPagePreviewWidget.cpp
    KoUnitDoubleSpinBox.cpp
    KoDpi.cpp
    KoDockWidgetTitleBar.cpp
    KoDockWidgetTitleBarButton.cpp
    KoDocumentInfoDlg.cpp
    WidgetsDebug.cpp
)

ki18n_wrap_ui( kowidgets_LIB_SRCS
    koDocumentInfoAboutWidget.ui
    koDocumentInfoAuthorWidget.ui

    KoPageLayoutWidget.ui
)


add_library(planwidgets SHARED ${kowidgets_LIB_SRCS})
generate_export_header(planwidgets BASE_NAME kowidgets)

target_link_libraries(planwidgets
    PUBLIC
        planodf
        planwidgetutils
        KF5::KIOWidgets
        KF5::ConfigWidgets
        Qt5::PrintSupport
        KF5::XmlGui
    PRIVATE
        KF5::GuiAddons
        KF5::WidgetsAddons
        KF5::ConfigCore
#         KF5::Codecs
#         KF5::Completion
        KF5::IconThemes
        KF5::I18n
)

if(GHNS)
    target_link_libraries(planwidgets PRIVATE KF5::NewStuff)
endif ()

if(X11_FOUND)
    target_link_libraries(planwidgets PRIVATE Qt5::X11Extras ${X11_LIBRARIES})
endif()

set_target_properties(planwidgets PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)

install(TARGETS planwidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/plugins/schedulers/CMakeLists.txt ===
## Disable librcps for now
## It has some bugs, and should be extended to be really usefull
# set(LIBRCPS_MIN_VERSION "0.3")
# # macro_optional_find_package(LibRCPS)
# # 
# # if(LIBRCPS_FOUND AND LIBRCPS_INCLUDE_DIR AND LIBRCPS_LIBRARIES)
# #     set(HAVE_LIBRCPS 1)
# # endif()
# 
# set(HAVE_LIBRCPS 1)
# 
# set_package_properties(LibRCPS PROPERTIES
#     DESCRIPTION "Resource Constrained Project Scheduling Library"
#     URL "http://www.librcps.org"
#     PURPOSE "Required by Plan RCPS Plugin"
#     TYPE OPTIONAL
# )
# 
# if(HAVE_LIBRCPS)
#     add_subdirectory( rcps )
# endif()

add_subdirectory(tj)

=== src/libs/odf/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${PLANODF_INCLUDES} )

# call: planodf_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLANODF_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "Plan${_TEST_NAME}"
        NAME_PREFIX "plan-odf-"
    )
endmacro()

########### next target ###############

planodf_add_unit_test(TestKoGenStyles TestKoGenStyles.cpp  LINK_LIBRARIES planodf KF5::I18n Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestOdfSettings TestOdfSettings.cpp  LINK_LIBRARIES planodf KF5::I18n Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestKoOdfLoadingContext TestKoOdfLoadingContext.cpp  LINK_LIBRARIES planodf KF5::I18n Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestXmlWriter TestXmlWriter.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestXmlReader TestXmlReader.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestXmlReaderWithoutSpaces TestXmlReaderWithoutSpaces.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(kodomtest kodomtest.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestStorage TestStorage.cpp  LINK_LIBRARIES planodf KF5::I18n Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestKoUnit TestKoUnit.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestNumberStyle TestNumberStyle.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestKoElementReference TestKoElementReference.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### next target ###############

planodf_add_unit_test(TestWriteStyleXml TestWriteStyleXml.cpp  LINK_LIBRARIES planodf Qt5::Test)

########### end ###############

=== src/libs/odf/writeodf/CMakeLists.txt ===
set(RNGFILE ${RNG_SOURCE_DIR}/OpenDocument-v1.2-cs01-schema-calligra.rng)
set(RNGHEADERDIR ${CMAKE_CURRENT_BINARY_DIR})

#message(STATUS "RNG 'plan_rng2cpp' custom command: ${RNGFILE} to ${RNGHEADERDIR}")
add_custom_command(
    OUTPUT ${RNGHEADERDIR}/writeodf.h
    COMMAND plan_rng2cpp
    ARGS ${RNGFILE} ${RNGHEADERDIR}
    DEPENDS plan_rng2cpp ${RNGFILE}
    WORKING_DIRECTORY ${RNGHEADERDIR}
)
add_custom_target(plan_writeodf.h-target DEPENDS writeodf.h)

=== src/libs/store/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${PLANODF_INCLUDES} )

# call: planstore_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLANSTORE_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "Plan${_TEST_NAME}"
        NAME_PREFIX "plan-store-"
    )
endmacro()

########### next target ###############

set(lzftest_SRCS ../KoLZF.cpp TestKoLZF.cpp )
planstore_add_unit_test(TestKoLZF ${lzftest_SRCS}  LINK_LIBRARIES Qt5::Test)

########### next target ###############

set(xmlvectortest_SRCS ../KoLZF.cpp TestKoXmlVector.cpp )
planstore_add_unit_test(TestKoXmlVector ${xmlvectortest_SRCS}  LINK_LIBRARIES Qt5::Test)

########### next target ###############

set(storedroptest_SRCS storedroptest.cpp )
add_executable(Planstoredroptest ${storedroptest_SRCS})
ecm_mark_as_test(Planstoredroptest)
target_link_libraries(Planstoredroptest planstore KF5::I18n Qt5::Widgets)

=== src/libs/widgets/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${PLANMAIN_INCLUDES}  ${PLANWIDGETS_INCLUDES})

add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data/")
add_definitions(-DFILES_OUTPUT_DIR="${CMAKE_CURRENT_BINARY_DIR}")

find_package(KF5ThreadWeaver ${REQUIRED_KF5_VERSION} REQUIRED)

# call: planwidgets_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLANWIDGETS_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "Plan${_TEST_NAME}"
        NAME_PREFIX "plan-widgets-"
    )
endmacro()

########### next target ###############

planwidgets_add_unit_test(KoProgressUpdaterTest KoProgressUpdater_test.cpp  LINK_LIBRARIES planwidgets KF5::ThreadWeaver Qt5::Test)

########### end ###############

=== src/plugins/filters/icalendar/export/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PLAN_SOURCE_DIR}
    ${PLANKERNEL_INCLUDES}
    ${PLANMAIN_INCLUDES}
)

set(icalendarexport_PART_SRCS 
   icalendarexport.cpp
)


add_library(planicalexport MODULE ${icalendarexport_PART_SRCS})
#calligraplan_filter_desktop_to_json(planicalexport plan_icalendar_export.desktop)
if(${KF5_VERSION} VERSION_LESS "5.16.0")
    kcoreaddons_desktop_to_json(planicalexport plan_icalendar_export.desktop)
else()
    kcoreaddons_desktop_to_json(planicalexport plan_icalendar_export.desktop
        SERVICE_TYPES ${PLAN_SOURCE_DIR}/servicetypes/calligraplan_filter.desktop
    )
endif()

target_link_libraries(planicalexport planprivate kplatokernel planmain KF5::CalendarCore)

install(TARGETS planicalexport  DESTINATION ${PLUGIN_INSTALL_DIR}/calligraplan/formatfilters)

=== src/plugins/schedulers/tj/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( .. ../taskjuggler ${KPLATO_INCLUDES} ${KOSTORE_INCLUDES})

# call: planschedulers_tj_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLANSCHEDULERS_TJ_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "${_TEST_NAME}"
        NAME_PREFIX "plan-schedulers-tj-"
    )
endmacro()

########### next target ###############

planschedulers_tj_add_unit_test(TJTester
    TaskJuggler.cpp
    LINK_LIBRARIES plantjscheduler planprivate kplatokernel Qt5::Test
)

########### next target ###############

planschedulers_tj_add_unit_test(SchedulerTester
    SchedulerTester.cpp
    LINK_LIBRARIES plantjscheduler planprivate kplatokernel planodf Qt5::Test
)

=== debian/changelog ===
calligraplan (1:3.1.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 13:20:09 +0800

## calligraplan 3.2.0

=== CMakeLists.txt ===

project(calligraplan)

cmake_minimum_required(VERSION 3.0)
if (POLICY CMP0002)
    cmake_policy(SET CMP0002 NEW)
endif ()
if (POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
endif ()
if (POLICY CMP0022)
    cmake_policy(SET CMP0022 NEW)
endif ()
if (POLICY CMP0026)
    cmake_policy(SET CMP0026 NEW)
endif()
if (POLICY CMP0046)
    cmake_policy(SET CMP0046 NEW)
endif ()
if (POLICY CMP0059)
    cmake_policy(SET CMP0059 NEW)
endif()
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()
if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "PLAN_SCHEDULERPLUGIN_EXPORT")

# define the version of Plan
# update these version for every release:
set(PLAN_YEAR 2019) # update every year
set(PLAN_VERSION_STRING "3.2.0")
set(PLAN_STABLE_VERSION_MAJOR 3) # 3 for 3.x, 4 for 4.x, etc.
set(PLAN_STABLE_VERSION_MINOR 2) # 0 for 3.0, 1 for 3.1, etc.
set(PLAN_VERSION_RELEASE 0)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
#set(PLAN_ALPHA 1) # uncomment only for Alpha
#set(PLAN_BETA 1) # uncomment only for Beta
#set(PLAN_RC 1) # uncomment only for RC

# Define the generic version of the Calligra Plan libraries here
# This makes it easy to advance it when the next release comes.
# 14 was the last GENERIC_CALLIGRA_LIB_VERSION_MAJOR of the previous Calligra series
# (2.x) so we're starting with 15 in 3.x series.
if(PLAN_STABLE_VERSION_MAJOR EQUAL 3)
    math(EXPR GENERIC_PLAN_LIB_VERSION_MAJOR "${PLAN_STABLE_VERSION_MINOR} + 15")
else()
    # let's make sure we won't forget to update the "15"
    message(FATAL_ERROR "Reminder: please update offset == 15 used to compute GENERIC_PLAN_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_PLAN_LIB_VERSION "${GENERIC_PLAN_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_PLAN_LIB_SOVERSION "${GENERIC_PLAN_LIB_VERSION_MAJOR}")

message(STATUS "")
message(STATUS "Build Calligra Plan ${PLAN_VERSION_STRING} with cmake version: ${CMAKE_VERSION}, required version: ${CMAKE_MINIMUM_REQUIRED_VERSION}")
message(STATUS "")


# ensure out-of-source build
string(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" isBuildInSource)
if(isBuildInSource)
    message(FATAL_ERROR "Compiling Plan inside the source folder is not possible.\nPlease refer to the build instruction: https://community.kde.org/Calligra/Building/3\nYou need to clean up the source folder from all build artifacts just created, otherwise further building attempts will fail again: With a git repo, you can use \"git clean -df\" in the toplevel source folder (attention! will remove also uncommited changes to the source code). With sources from a file bundle (like a zip file), delete the source folder and unbundle the sources again.")
endif()


############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

##########################
###########################
## Look for ECM, Qt, KF5 ##
###########################
##########################

find_package(ECM 5.19 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
# Own macros
# This macro is a copy from calligra so only needs to be included when plan is build stand alone
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(MacroOptionalFindPackage)

set(REQUIRED_KF5_VERSION "5.45.0")

find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
        Init
        Archive
#             Codecs
#             Completion
        Config
        ConfigWidgets
        CoreAddons
        DBusAddons
#             DocTools
        GuiAddons
        I18n
        IconThemes
        ItemViews
        JobWidgets
        KIO
        Notifications
#             NotifyConfig
        Parts
#             Sonnet
        TextWidgets
        WidgetsAddons
        WindowSystem
        XmlGui
#         Kross
)

find_package(KF5Activities)

set_package_properties(KF5Activities PROPERTIES
    DESCRIPTION "Library for Activities"
    PURPOSE "Required for activities support (optional)"
    TYPE OPTIONAL
)
if(KF5Activities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

find_package(KF5KHtml)
set_package_properties(KF5KHtml PROPERTIES
    PURPOSE "Required for rich text support"
    TYPE REQUIRED
)

find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES
    DESCRIPTION "Library for generation of public holidays"
    PURPOSE "Required for holidays support (optional)"
    TYPE RECOMMENDED
)


set(REQUIRED_QT_VERSION "5.9.0")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
        Core
        Gui
        PrintSupport
        Test
        Widgets
        Xml
)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} QUIET)
set_package_properties(Qt5DBus PROPERTIES
    DESCRIPTION "Library for dbus access"
    PURPOSE "Required for dbus support (optional)"
    TYPE OPTIONAL
)

find_package(X11)
if(X11_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
        COMPONENTS
            X11Extras
    )
    set(HAVE_X11 TRUE)
    add_definitions(-DHAVE_X11)
else()
    set(HAVE_X11 FALSE)
endif()

# use sane compile flags
add_definitions(
-DQT_USE_QSTRINGBUILDER
-DQT_STRICT_ITERATORS
-DQT_NO_SIGNALS_SLOTS_KEYWORDS
-DQT_NO_URL_CAST_FROM_STRING
-DQT_NO_CAST_TO_ASCII
)

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

##
## Test for KGantt
##
macro_optional_find_package(KGantt 2.6.0 QUIET)
set_package_properties(KGantt PROPERTIES
    DESCRIPTION "Library for creating Gantt diagrams (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)
if(KGantt_FOUND)
    set(KGANTT_VERSION_MAJOR "${KGantt_VERSION_MAJOR}")
    set(KGANTT_VERSION_MINOR "${KGantt_VERSION_MINOR}")
    set(KGANTT_VERSION_PATCH "${KGantt_VERSION_PATCH}")
endif()

##
## Test for KChart
##
macro_optional_find_package(KChart 2.6.0 QUIET)
set_package_properties(KChart PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt5 2.1.0 QUIET)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https:/download.kde.org/stable/qca-qt5"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support"
    TYPE OPTIONAL
)

find_package(KF5Wallet ${REQUIRED_KF5_VERSION})

if(Qca-qt5_FOUND AND KF5Wallet_FOUND)
    add_definitions( -DQCA2 )
endif()

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)

###########################
############################
## Optional dependencies  ##
############################
###########################

### Remove dependency on KF5AkonadiContact
### Review how to get at contacts in more portable way
##
## Test for KF5AkonadiContact
##
# find_package(KF5AkonadiContact CONFIG QUIET)
# set_package_properties(KF5AkonadiContact PROPERTIES
#     DESCRIPTION "Library for Accessing Contacts stored in Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Required for address book support"
#     TYPE OPTIONAL
# )

##
## Test for KF5CalendarCore
##
# find_package(KF5CalendarCore CONFIG QUIET)
# set_package_properties(KF5CalendarCore PROPERTIES
#     DESCRIPTION "KDE Calendar Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Event"
#     TYPE OPTIONAL
#     )

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY ${INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

#### Disable kreport for now, reconsider when it is stable ####
if (TEST_FOR_KREPORT)
    #
    # Test for KReport
    #
    macro_optional_find_package(KReport 3.1 QUIET)
    set_package_properties(KReport PROPERTIES
        PURPOSE "Required for KReport support in Plan"
        TYPE OPTIONAL
    )

    ##
    ## Test for KPropertyWidgets
    ##
    macro_optional_find_package(KPropertyWidgets 3.1 QUIET)
    set_package_properties(KPropertyWidgets PROPERTIES
        PURPOSE "Required for KReports support in Plan"
        TYPE OPTIONAL
    )
    if (KReport_FOUND AND KPropertyWidgets_FOUND)
        set(PLAN_USE_KREPORT TRUE)
    endif()
endif (TEST_FOR_KREPORT)


add_subdirectory(src)

add_subdirectory(devtools)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

#add_custom_target(apidox doc/api/gendocs.pl WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

### Summarize findings ####
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)



find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/libs/kernel/CMakeLists.txt ===

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

include_directories(${PLANODF_INCLUDES}
                    ${PLANKUNDO2_INCLUDES})


########### KPlato kernel library ###############

set(plankernel_LIB_SRCS
    kptglobal.cpp
    kptlocale.cpp
    kpteffortcostmap.cpp
    kptdocuments.cpp
    kptaccount.cpp
    kptappointment.cpp
    kptnode.cpp
    kptproject.cpp
    kptrelation.cpp
    kptresource.cpp
    kpttask.cpp
    kptduration.cpp
    kptdatetime.cpp
    kptcalendar.cpp
    kptschedule.cpp
    kptwbsdefinition.cpp
    kptcommand.cpp
    kptpackage.cpp
    kptdebug.cpp

    kptschedulerplugin.cpp

    kptconfigbase.cpp

    KPlatoXmlLoaderBase.cpp
)

add_library(plankernel SHARED ${plankernel_LIB_SRCS})
generate_export_header(plankernel)

target_link_libraries(plankernel
    PUBLIC
        plankundo2
        planstore
        planwidgetutils
#         KF5::I18n
#         KF5::CoreAddons
)
if(KF5Holidays_FOUND)
    target_link_libraries(plankernel PUBLIC KF5::Holidays)
endif()

set_target_properties(plankernel PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS plankernel ${INSTALL_TARGETS_DEFAULT_ARGS})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# plan_schedulerplugin.desktop

=== src/libs/models/CMakeLists.txt ===

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

include_directories(
    ${PLANKERNEL_INCLUDES}
    ${PLANWIDGETS_INCLUDES}
    ${PLANODF_INCLUDES}
    ${PLANKUNDO2_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/commands
)

if (KF5Contacts_FOUND)
    add_definitions(-DPLAN_KCONTACTS_FOUND)
endif ()

########### KPlato data models library ###############

set(planmodels_LIB_SRCS
    reportgenerator/ReportGenerator.cpp
    reportgenerator/ReportGeneratorOdt.cpp

    kptcommonstrings.cpp
    kpttreecombobox.cpp

    commands/InsertProjectXmlCommand.cpp
    commands/InsertTaskModuleCommand.cpp

    kcalendar/kdatetable.cpp
    kcalendar/kdatepicker.cpp
    
    kptnodechartmodel.cpp
    
    kptflatproxymodel.cpp

    kptrelationmodel.cpp
    kptworkpackagemodel.cpp
    kptdocumentmodel.cpp
    kptitemmodelbase.cpp
    kptnodeitemmodel.cpp
    kptdurationspinbox.cpp
    kpttaskstatusmodel.cpp
    kptresourcemodel.cpp
    kptcalendarmodel.cpp
    kptschedulemodel.cpp
    kptaccountsmodel.cpp
    kptpertcpmmodel.cpp
    kptresourceappointmentsmodel.cpp
    kptresourceallocationmodel.cpp

    kpttaskcompletedelegate.cpp
)

add_library(planmodels SHARED ${planmodels_LIB_SRCS})
generate_export_header(planmodels)

target_link_libraries(planmodels
    PUBLIC
        plankernel
        planodf
        KChart
        KGantt
        KF5::KIOWidgets
    PRIVATE
        Qt5::Gui
        KF5::Notifications
        KF5::TextWidgets
        planwidgets
)
if(KF5Contacts_FOUND)
    target_link_libraries(planmodels  PRIVATE KF5::Contacts)
endif()

set_target_properties(planmodels PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS planmodels ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/libs/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include_directories(${PLANWIDGETS_INCLUDE})
 
 set(kowidgets_LIB_SRCS
+    ParameterSubstitutionDialog.cpp
     KoResourcePaths.cpp
     KoVBox.cpp
     KoDialog.cpp
@@ -22,6 +23,7 @@
 )
 
 ki18n_wrap_ui( kowidgets_LIB_SRCS
+    ParameterSubstitutionPanel.ui
     koDocumentInfoAboutWidget.ui
     koDocumentInfoAuthorWidget.ui

=== src/plugins/filters/icalendar/CMakeLists.txt ===

add_subdirectory( export )

=== debian/changelog ===
calligraplan (1:3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.45.0
    - remove libkf5akonadicontact-dev, libkf5calendarcore-dev,
      libkf5contacts-dev, libkf5kcmutils-dev, and libqt5svg5-dev, no more needed
    - add libqca-qt5-2-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop exclusion of examples from dh_compress
  * Stop removing x-test "translations", as they are not shipped anymore.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Nov 2019 22:25:41 +0100

=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kinit-dev (>= 5.45.0~),
               libkchart-dev,
               libkf5activities-dev (>= 5.45.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5guiaddons-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.45.0~),
               libkf5jobwidgets-dev (>= 5.45.0~),
               libkf5khtml-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5parts-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5widgetsaddons-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libkf5xmlgui-dev (>= 5.45.0~),
               libkgantt-dev,
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~),
               zlib1g-dev,
Standards-Version: 4.4.1
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligraplan.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligraplan

Package: calligraplan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${plan:oldLangs}
Replaces: ${plan:oldLangs}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.

## calligraplan 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,10 +32,10 @@
 # define the version of Plan
 # update these version for every release:
 set(PLAN_YEAR 2019) # update every year
-set(PLAN_VERSION_STRING "3.2.0")
+set(PLAN_VERSION_STRING "3.2.1")
 set(PLAN_STABLE_VERSION_MAJOR 3) # 3 for 3.x, 4 for 4.x, etc.
 set(PLAN_STABLE_VERSION_MINOR 2) # 0 for 3.0, 1 for 3.1, etc.
-set(PLAN_VERSION_RELEASE 0)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
+set(PLAN_VERSION_RELEASE 1)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
 #set(PLAN_ALPHA 1) # uncomment only for Alpha
 #set(PLAN_BETA 1) # uncomment only for Beta
 #set(PLAN_RC 1) # uncomment only for RC
@@ -267,7 +267,6 @@
 endif()
 
 find_package(Perl REQUIRED)
-find_package(ZLIB REQUIRED)
 
 ###########################
 ############################

=== debian/changelog ===
calligraplan (1:3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the zlib1g-dev build dependency, no more required.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Nov 2019 19:13:19 +0100
